Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5892)
@@ -7,5 +7,5 @@
 from quantity import *
 from anuga.config import epsilon
-from Numeric import allclose, array, ones, Float
+import numpy
 
 from anuga.fit_interpolate.fit import fit_to_mesh
@@ -18,5 +18,5 @@
 #Aux for fit_interpolate.fit example
 def linear_function(point):
-    point = array(point)
+    point = numpy.array(point)
     return point[:,0]+point[:,1]
 
@@ -63,5 +63,5 @@
 
         quantity = Quantity(self.mesh1, [[1,2,3]])
-        assert allclose(quantity.vertex_values, [[1.,2.,3.]])
+        assert numpy.allclose(quantity.vertex_values, [[1.,2.,3.]])
 
         try:
@@ -84,9 +84,9 @@
 
         quantity = Quantity(self.mesh1)
-        assert allclose(quantity.vertex_values, [[0.,0.,0.]])
-
-
-        quantity = Quantity(self.mesh4)
-        assert allclose(quantity.vertex_values, [[0.,0.,0.], [0.,0.,0.],
+        assert numpy.allclose(quantity.vertex_values, [[0.,0.,0.]])
+
+
+        quantity = Quantity(self.mesh4)
+        assert numpy.allclose(quantity.vertex_values, [[0.,0.,0.], [0.,0.,0.],
                                                  [0.,0.,0.], [0.,0.,0.]])
 
@@ -94,7 +94,7 @@
     def test_interpolation(self):
         quantity = Quantity(self.mesh1, [[1,2,3]])
-        assert allclose(quantity.centroid_values, [2.0]) #Centroid
-
-        assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5]])
+        assert numpy.allclose(quantity.centroid_values, [2.0]) #Centroid
+
+        assert numpy.allclose(quantity.edge_values, [[2.5, 2.0, 1.5]])
 
 
@@ -102,5 +102,5 @@
         quantity = Quantity(self.mesh4,
                             [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
-        assert allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
 
 
@@ -108,25 +108,25 @@
 
         #print quantity.vertex_values
-        assert allclose(quantity.vertex_values, [[3.5, -1.0, 3.5],
-                                                 [3.+2./3, 6.+2./3, 4.+2./3],
-                                                 [4.6, 3.4, 1.],
-                                                 [-5.0, 1.0, 4.0]])
+        assert numpy.allclose(quantity.vertex_values, [[3.5, -1.0, 3.5],
+                                                       [3.+2./3, 6.+2./3, 4.+2./3],
+                                                       [4.6, 3.4, 1.],
+                                                       [-5.0, 1.0, 4.0]])
 
         #print quantity.edge_values
-        assert allclose(quantity.edge_values, [[1.25, 3.5, 1.25],
-                                               [5. + 2/3.0, 4.0 + 1.0/6, 5.0 + 1.0/6],
-                                               [2.2, 2.8, 4.0],
-                                               [2.5, -0.5, -2.0]])
-
-
-        #assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
-        #                                       [5., 5., 5.],
-        #                                       [4.5, 4.5, 0.],
-        #                                       [3.0, -1.5, -1.5]])
+        assert numpy.allclose(quantity.edge_values, [[1.25, 3.5, 1.25],
+                                                     [5. + 2/3.0, 4.0 + 1.0/6, 5.0 + 1.0/6],
+                                                     [2.2, 2.8, 4.0],
+                                                     [2.5, -0.5, -2.0]])
+
+
+        #assert numpy.allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
+        #                                             [5., 5., 5.],
+        #                                             [4.5, 4.5, 0.],
+        #                                             [3.0, -1.5, -1.5]])
 
     def test_get_extrema_1(self):
         quantity = Quantity(self.mesh4,
                                       [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
-        assert allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroids
+        assert numpy.allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroids
 
         v = quantity.get_maximum_value()
@@ -148,10 +148,10 @@
 
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 5)
+        assert numpy.allclose(v, 5)
 
 
         x,y = quantity.get_minimum_location()
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 0)
+        assert numpy.allclose(v, 0)
 
 
@@ -192,14 +192,14 @@
 
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 6)
+        assert numpy.allclose(v, 6)
 
         x,y = quantity.get_minimum_location()        
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 2)
+        assert numpy.allclose(v, 2)
 
         #Multiple locations for maximum -
         #Test that the algorithm picks the first occurrence        
         v = quantity.get_maximum_value(indices=[0,1,2])
-        assert allclose(v, 4)
+        assert numpy.allclose(v, 4)
 
         i = quantity.get_maximum_index(indices=[0,1,2])
@@ -212,9 +212,9 @@
 
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 4)        
+        assert numpy.allclose(v, 4)        
 
         # More test of indices......
         v = quantity.get_maximum_value(indices=[2,3])
-        assert allclose(v, 6)
+        assert numpy.allclose(v, 6)
 
         i = quantity.get_maximum_index(indices=[2,3])
@@ -227,5 +227,5 @@
 
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 6)        
+        assert numpy.allclose(v, 6)        
 
         
@@ -244,26 +244,26 @@
         quantity.set_values([[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]],
                             location = 'vertices')
-        assert allclose(quantity.vertex_values,
-                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
-        assert allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
-        assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
-                                               [5., 5., 5.],
-                                               [4.5, 4.5, 0.],
-                                               [3.0, -1.5, -1.5]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
+        assert numpy.allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
+        assert numpy.allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
+                                                     [5., 5., 5.],
+                                                     [4.5, 4.5, 0.],
+                                                     [3.0, -1.5, -1.5]])
 
 
         # Test default
         quantity.set_values([[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
-        assert allclose(quantity.vertex_values,
-                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
-        assert allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
-        assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
-                                               [5., 5., 5.],
-                                               [4.5, 4.5, 0.],
-                                               [3.0, -1.5, -1.5]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
+        assert numpy.allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
+        assert numpy.allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
+                                                     [5., 5., 5.],
+                                                     [4.5, 4.5, 0.],
+                                                     [3.0, -1.5, -1.5]])
 
         # Test centroids
         quantity.set_values([1,2,3,4], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1., 2., 3., 4.]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1., 2., 3., 4.]) #Centroid
 
         # Test exceptions
@@ -288,16 +288,16 @@
 
         quantity.set_values(1.0, location = 'vertices')
-        assert allclose(quantity.vertex_values,
-                        [[1,1,1], [1,1,1], [1,1,1], [1, 1, 1]])
-
-        assert allclose(quantity.centroid_values, [1, 1, 1, 1]) #Centroid
-        assert allclose(quantity.edge_values, [[1, 1, 1],
-                                               [1, 1, 1],
-                                               [1, 1, 1],
-                                               [1, 1, 1]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,1,1], [1,1,1], [1,1,1], [1, 1, 1]])
+
+        assert numpy.allclose(quantity.centroid_values, [1, 1, 1, 1]) #Centroid
+        assert numpy.allclose(quantity.edge_values, [[1, 1, 1],
+                                                     [1, 1, 1],
+                                                     [1, 1, 1],
+                                                     [1, 1, 1]])
 
 
         quantity.set_values(2.0, location = 'centroids')
-        assert allclose(quantity.centroid_values, [2, 2, 2, 2])
+        assert numpy.allclose(quantity.centroid_values, [2, 2, 2, 2])
 
 
@@ -310,15 +310,15 @@
         quantity.set_values(f, location = 'vertices')
         #print "quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values,
-                        [[2,0,2], [2,2,4], [4,2,4], [4,2,4]])
-        assert allclose(quantity.centroid_values,
-                        [4.0/3, 8.0/3, 10.0/3, 10.0/3])
-        assert allclose(quantity.edge_values,
-                        [[1,2,1], [3,3,2], [3,4,3], [3,4,3]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[2,0,2], [2,2,4], [4,2,4], [4,2,4]])
+        assert numpy.allclose(quantity.centroid_values,
+                              [4.0/3, 8.0/3, 10.0/3, 10.0/3])
+        assert numpy.allclose(quantity.edge_values,
+                              [[1,2,1], [3,3,2], [3,4,3], [3,4,3]])
 
 
         quantity.set_values(f, location = 'centroids')
-        assert allclose(quantity.centroid_values,
-                        [4.0/3, 8.0/3, 10.0/3, 10.0/3])
+        assert numpy.allclose(quantity.centroid_values,
+                              [4.0/3, 8.0/3, 10.0/3, 10.0/3])
 
 
@@ -331,5 +331,5 @@
         #print 'Q', quantity.get_integral()
 
-        assert allclose(quantity.get_integral(), self.mesh4.get_area() * const)
+        assert numpy.allclose(quantity.get_integral(), self.mesh4.get_area() * const)
 
         #Try with a linear function
@@ -342,5 +342,5 @@
         ref_integral = (4.0/3 + 8.0/3 + 10.0/3 + 10.0/3) * 2
 
-        assert allclose (quantity.get_integral(), ref_integral)
+        assert numpy.allclose (quantity.get_integral(), ref_integral)
 
 
@@ -350,12 +350,12 @@
         quantity.set_vertex_values([0,1,2,3,4,5])
 
-        assert allclose(quantity.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
-        assert allclose(quantity.centroid_values,
-                        [1., 7./3, 11./3, 8./3]) #Centroid
-        assert allclose(quantity.edge_values, [[1., 1.5, 0.5],
-                                               [3., 2.5, 1.5],
-                                               [3.5, 4.5, 3.],
-                                               [2.5, 3.5, 2]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity.centroid_values,
+                              [1., 7./3, 11./3, 8./3]) #Centroid
+        assert numpy.allclose(quantity.edge_values, [[1., 1.5, 0.5],
+                                                     [3., 2.5, 1.5],
+                                                     [3.5, 4.5, 3.],
+                                                     [2.5, 3.5, 2]])
 
 
@@ -365,6 +365,6 @@
         quantity.set_vertex_values([0,20,30,50], indices = [0,2,3,5])
 
-        assert allclose(quantity.vertex_values,
-                        [[1,0,20], [1,20,4], [4,20,50], [30,1,4]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,0,20], [1,20,4], [4,20,50], [30,1,4]])
 
 
@@ -376,14 +376,14 @@
 
 
-        assert allclose(quantity.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         #Centroid
-        assert allclose(quantity.centroid_values, [1., 7./3, 11./3, 8./3])
-
-        assert allclose(quantity.edge_values, [[1., 1.5, 0.5],
-                                               [3., 2.5, 1.5],
-                                               [3.5, 4.5, 3.],
-                                               [2.5, 3.5, 2]])
+        assert numpy.allclose(quantity.centroid_values, [1., 7./3, 11./3, 8./3])
+
+        assert numpy.allclose(quantity.edge_values, [[1., 1.5, 0.5],
+                                                     [3., 2.5, 1.5],
+                                                     [3.5, 4.5, 3.],
+                                                     [2.5, 3.5, 2]])
 
 
@@ -399,6 +399,6 @@
 
         quantity.set_values([0,2,3,5], indices=[0,2,3,5])
-        assert allclose(quantity.vertex_values,
-                        [[0,0,2], [0,2,0], [0,2,5], [3,0,0]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,2], [0,2,0], [0,2,5], [3,0,0]])
 
 
@@ -408,7 +408,7 @@
 
         # Indices refer to triangle numbers
-        assert allclose(quantity.vertex_values,
-                        [[3.14,3.14,3.14], [0,0,0],
-                         [3.14,3.14,3.14], [0,0,0]])        
+        assert numpy.allclose(quantity.vertex_values,
+                              [[3.14,3.14,3.14], [0,0,0],
+                               [3.14,3.14,3.14], [0,0,0]])        
         
 
@@ -419,7 +419,7 @@
         quantity.set_values(3.14, polygon=polygon)
         
-        assert allclose(quantity.vertex_values,
-                        [[0,0,0], [0,0,0], [0,0,0],
-                         [3.14,3.14,3.14]])                
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,0], [0,0,0], [0,0,0],
+                               [3.14,3.14,3.14]])                
 
 
@@ -429,9 +429,9 @@
         quantity.set_values(0.0)
         quantity.set_values(3.14, location='centroids', polygon=polygon)
-        assert allclose(quantity.vertex_values,
-                        [[0,0,0],
-                         [3.14,3.14,3.14],
-                         [3.14,3.14,3.14],                         
-                         [0,0,0]])                
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,0],
+                               [3.14,3.14,3.14],
+                               [3.14,3.14,3.14],                         
+                               [0,0,0]])                
 
 
@@ -441,9 +441,9 @@
         #print 'Here 2'
         quantity.set_values(3.14, polygon=polygon)
-        assert allclose(quantity.vertex_values,
-                        [[0,0,0],
-                         [3.14,3.14,3.14],
-                         [3.14,3.14,3.14],                         
-                         [0,0,0]])                
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,0],
+                               [3.14,3.14,3.14],
+                               [3.14,3.14,3.14],                         
+                               [0,0,0]])                
         
 
@@ -478,12 +478,12 @@
 
         # Indices refer to triangle numbers here - not vertices (why?)
-        assert allclose(quantity.vertex_values,
-                        [[3.14,3.14,3.14], [0,0,0],
-                         [3.14,3.14,3.14], [0,0,0]])        
+        assert numpy.allclose(quantity.vertex_values,
+                              [[3.14,3.14,3.14], [0,0,0],
+                               [3.14,3.14,3.14], [0,0,0]])        
         
 
 
         # Now try with polygon (pick points where y>2)
-        polygon = array([[0,2.1], [4,2.1], [4,7], [0,7]])
+        polygon = numpy.array([[0,2.1], [4,2.1], [4,7], [0,7]])
         polygon += [G.xllcorner, G.yllcorner]
         
@@ -491,11 +491,11 @@
         quantity.set_values(3.14, polygon=polygon, location='centroids')
         
-        assert allclose(quantity.vertex_values,
-                        [[0,0,0], [0,0,0], [0,0,0],
-                         [3.14,3.14,3.14]])                
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,0], [0,0,0], [0,0,0],
+                               [3.14,3.14,3.14]])                
 
 
         # Another polygon (pick triangle 1 and 2 (rightmost triangles)
-        polygon = array([[2.1, 0.0], [3.5,0.1], [2,2.2], [0.2,2]])
+        polygon = numpy.array([[2.1, 0.0], [3.5,0.1], [2,2.2], [0.2,2]])
         polygon += [G.xllcorner, G.yllcorner]
         
@@ -503,9 +503,9 @@
         quantity.set_values(3.14, polygon=polygon)
 
-        assert allclose(quantity.vertex_values,
-                        [[0,0,0],
-                         [3.14,3.14,3.14],
-                         [3.14,3.14,3.14],                         
-                         [0,0,0]])                
+        assert numpy.allclose(quantity.vertex_values,
+                              [[0,0,0],
+                               [3.14,3.14,3.14],
+                               [3.14,3.14,3.14],                         
+                               [0,0,0]])                
 
 
@@ -540,5 +540,5 @@
         answer = linear_function(quantity.domain.get_vertex_coordinates())
         #print quantity.vertex_values, answer
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
@@ -553,5 +553,5 @@
         #print vertex_attributes
         quantity.set_values(vertex_attributes)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
@@ -593,5 +593,5 @@
                           alpha = 0)
 
-        assert allclose( ref, [0,5,5] )
+        assert numpy.allclose( ref, [0,5,5] )
 
 
@@ -610,5 +610,5 @@
         #                    data_georef = data_georef,
         #                    alpha = 0)
-        assert allclose(quantity.vertex_values.flat, ref)
+        assert numpy.allclose(quantity.vertex_values.ravel(), ref)
 
 
@@ -621,5 +621,5 @@
 
         quantity.set_values(geospatial_data = geo, alpha = 0)
-        assert allclose(quantity.vertex_values.flat, ref)
+        assert numpy.allclose(quantity.vertex_values.ravel(), ref)
 
 
@@ -666,14 +666,14 @@
         answer = linear_function(quantity.domain.get_vertex_coordinates())
 
-        #print quantity.vertex_values.flat
+        #print quantity.vertex_values.ravel()
         #print answer
 
 
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename = ptsfile, alpha = 0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -730,5 +730,5 @@
         #print self.mesh4.nodes
         #print inside_polygon(self.mesh4.nodes, polygon)
-        assert allclose(inside_polygon(self.mesh4.nodes, polygon), 4)
+        assert numpy.allclose(inside_polygon(self.mesh4.nodes, polygon), 4)
 
         #print quantity.domain.get_vertex_coordinates()
@@ -748,16 +748,16 @@
         answer = linear_function(points)
 
-        #print quantity.vertex_values.flat
+        #print quantity.vertex_values.ravel()
         #print answer
 
         # Check vertices in polygon have been set
-        assert allclose(take(quantity.vertex_values.flat, indices),
-                             answer)
+        assert numpy.allclose(take(quantity.vertex_values.ravel(), indices),
+                                   answer)
 
         # Check vertices outside polygon are zero
         indices = outside_polygon(quantity.domain.get_vertex_coordinates(), 
                                   polygon)        
-        assert allclose(take(quantity.vertex_values.flat, indices),
-                             0.0)        
+        assert numpy.allclose(take(quantity.vertex_values.ravel(), indices),
+                                   0.0)        
 
         #Cleanup
@@ -815,5 +815,5 @@
                             verbose=False)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
@@ -821,5 +821,5 @@
         quantity.set_values(filename=ptsfile, 
                             alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         # Check cache
@@ -866,13 +866,13 @@
         answer = linear_function(quantity.domain.get_vertex_coordinates())
 
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
 
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=txt_file, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -910,13 +910,13 @@
         answer = linear_function(quantity.domain.get_vertex_coordinates())
 
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
 
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=txt_file, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -957,7 +957,7 @@
                                       'vertices', None)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Check that values can be set from file
@@ -965,12 +965,12 @@
                             attribute_name=att, alpha=0)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=txt_file, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -1039,7 +1039,7 @@
                                       max_read_lines=2)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Check that values can be set from file
@@ -1047,12 +1047,12 @@
                             attribute_name=att, alpha=0)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
-        #print "quantity.vertex_values.flat", quantity.vertex_values.flat
+        #print "quantity.vertex_values.ravel()", quantity.vertex_values.ravel()
         #print "answer",answer
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=txt_file, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -1128,10 +1128,10 @@
         answer = linear_function(quantity.domain.get_vertex_coordinates())
 
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=ptsfile, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -1207,10 +1207,10 @@
 
 
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
 
         #Check that values can be set from file using default attribute
         quantity.set_values(filename=ptsfile, alpha=0)
-        assert allclose(quantity.vertex_values.flat, answer)
+        assert numpy.allclose(quantity.vertex_values.ravel(), answer)
 
         #Cleanup
@@ -1226,26 +1226,26 @@
         quantity1.set_vertex_values([0,1,2,3,4,5])
 
-        assert allclose(quantity1.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity1.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
 
         quantity2 = Quantity(self.mesh4)
         quantity2.set_values(quantity=quantity1)
-        assert allclose(quantity2.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity2.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         quantity2.set_values(quantity = 2*quantity1)
-        assert allclose(quantity2.vertex_values,
-                        [[2,0,4], [2,4,8], [8,4,10], [6,2,8]])
+        assert numpy.allclose(quantity2.vertex_values,
+                              [[2,0,4], [2,4,8], [8,4,10], [6,2,8]])
 
         quantity2.set_values(quantity = 2*quantity1 + 3)
-        assert allclose(quantity2.vertex_values,
-                        [[5,3,7], [5,7,11], [11,7,13], [9,5,11]])
+        assert numpy.allclose(quantity2.vertex_values,
+                              [[5,3,7], [5,7,11], [11,7,13], [9,5,11]])
 
 
         #Check detection of quantity as first orgument
         quantity2.set_values(2*quantity1 + 3)
-        assert allclose(quantity2.vertex_values,
-                        [[5,3,7], [5,7,11], [11,7,13], [9,5,11]])
+        assert numpy.allclose(quantity2.vertex_values,
+                              [[5,3,7], [5,7,11], [11,7,13], [9,5,11]])
 
 
@@ -1262,11 +1262,11 @@
         polygon = [[1.0, 1.0], [4.0, 1.0],
                    [4.0, 4.0], [1.0, 4.0]]
-        assert allclose(inside_polygon(self.mesh4.nodes, polygon), 4)                   
+        assert numpy.allclose(inside_polygon(self.mesh4.nodes, polygon), 4)                   
         
         quantity1 = Quantity(self.mesh4)
         quantity1.set_vertex_values([0,1,2,3,4,5])
 
-        assert allclose(quantity1.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity1.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
 
@@ -1276,7 +1276,7 @@
                              
         msg = 'Only node #4(e) at (2,2) should have values applied '
-        assert allclose(quantity2.vertex_values,
-                        [[0,0,0], [0,0,4], [4,0,0], [0,0,4]]), msg        
-                        #bac,     bce,     ecf,     dbe
+        assert numpy.allclose(quantity2.vertex_values,
+                              [[0,0,0], [0,0,4], [4,0,0], [0,0,4]]), msg        
+                              #bac,     bce,     ecf,     dbe
                         
 
@@ -1287,6 +1287,6 @@
         quantity1.set_vertex_values([0,1,2,3,4,5])
 
-        assert allclose(quantity1.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity1.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
 
